libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_headerin

declared in "vorbis/codec.h";

This function decodes a header packet from a Vorbis stream and applies the contents to the given vorbis_info structure (to provide codec parameters to the decoder) and vorbis_comment structure (to provide access to the embedded Vorbis comments).

Once the three Vorbis header packets (info, comments, and codebooks, in that order) have been passed to this function, the vorbis_info structure is ready to be used in a call to vorbis_synthesis_init.

    extern int      vorbis_synthesis_headerin(vorbis_info *vi,vorbis_comment *vc,
                                              ogg_packet *op);

### Parameters

vi
  The vorbis_info structure to apply the decoded information to.
vc
  The vorbis_comment structure to apply the decoded comments to.
op
  The ogg_packet to decode.

### Return Values

> - 0 on success.
> - OV_ENOTVORBIS if the packet is not a Vorbis header packet.
> - OV_EBADHEADER if there was an error interpreting the packet.
> - OV_EFAULT on internal error.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101